# $Revision: 1.8 $, $Date: 2005/12/31 10:36:33 $
Summary:	Hashlike access to arrays
Summary(pl):	Dostp do tablic w sposb podobny do tablic asocjacyjnych
Name:		ruby-arrayfields
Version:	3.4.0
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://www.codeforpeople.com/lib/ruby/arrayfields/arrayfields-%{version}.tgz
# Source0-md5:	537e835998e20d019ac33e1bb5503f64
Source1:	setup.rb
URL:		http://raa.ruby-lang.org/project/arrayfields/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hash-like access to arrays.

%description -l pl
Dostp do tablic w sposb podobny do tablic asocjacyjnych.

%prep
%setup -q -n arrayfields-%{version}
install %{SOURCE1} setup.rb

%build
ruby setup.rb config \
	--siterubyver=%{ruby_rubylibdir}

ruby setup.rb setup

rdoc -o rdoc/ --main README README lib/arrayfields.rb --title "%{name} %{version}" --inline-source
rdoc --ri -o ri lib/arrayfields.rb

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{_examplesdir}/%{name}}

ruby setup.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc/* README
%{ruby_rubylibdir}/arrayfields.rb
%{ruby_ridir}/FieldedArray
%{ruby_ridir}/Fieldable
%{ruby_ridir}/ArrayFields

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-arrayfields.spec,v $
Revision 1.8  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.7  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.6  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.5  2005/12/27 09:26:01  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.4  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.3  2005/05/11 19:41:02  aredridel
- corrected setup.rb parameters for new version of setup.rb

Revision 1.2  2005/01/08 16:19:31  qboosh
- pl

Revision 1.1  2005/01/08 07:16:44  aredridel
- added
- STBR
